Data Fields
_PurpleBlistUiOps Struct Reference

Buddy list UI operations. More...

`#include <blist.h>`

## Data Fields
void(* | new_list )(PurpleBuddyList *list)
| Sets UI-specific data on a buddy list. More...
void(* | new_node )(PurpleBlistNode *node)
| Sets UI-specific data on a node. More...
void(* | show )(PurpleBuddyList *list)
| The core will call this when it's finished doing its core stuff.
void(* | update )(PurpleBuddyList *list, PurpleBlistNode *node)
| This will update a node in the buddy list. More...
void(* | remove )(PurpleBuddyList *list, PurpleBlistNode *node)
| This removes a node from the list.
void(* | destroy )(PurpleBuddyList *list)
| When the list is destroyed, this is called to destroy the UI. More...
void(* | set_visible )(PurpleBuddyList *list, gboolean show)
| Hides or unhides the buddy list.
void(* | request_add_buddy )(PurpleAccount *account, const char *username, const char *group, const char *alias)
void(* | request_add_chat )(PurpleAccount *account, PurpleGroup *group, const char *alias, const char *name)
void(* | request_add_group )(void)
void(* | save_node )(PurpleBlistNode *node)
| This is called when a node has been modified and should be saved. More...
void(* | remove_node )(PurpleBlistNode *node)
| Called when a node is about to be removed from the buddy list. More...
void(* | save_account )(PurpleAccount *account)
| Called to save all the data for an account. More...
void(* | _purple_reserved1 )(void)

## Detailed Description

Buddy list UI operations.

Any UI representing a buddy list must assign a filled-out PurpleBlistUiOps structure to the buddy list core.

Definition at line 203 of file blist.h.

## Field Documentation

## ◆ destroy

void(* _PurpleBlistUiOps::destroy) (PurpleBuddyList *list)

When the list is destroyed, this is called to destroy the UI.

Definition at line 212 of file blist.h.

## ◆ new_list

void(* _PurpleBlistUiOps::new_list) (PurpleBuddyList *list)

Sets UI-specific data on a buddy list.

Definition at line 205 of file blist.h.

## ◆ new_node

void(* _PurpleBlistUiOps::new_node) (PurpleBlistNode *node)

Sets UI-specific data on a node.

Definition at line 206 of file blist.h.

## ◆ remove_node

void(* _PurpleBlistUiOps::remove_node) (PurpleBlistNode *node)

Called when a node is about to be removed from the buddy list.

The UI op should update the relevant data structures to remove this node (for example, removing a buddy from the group this node is in).

Implementation of this UI op is OPTIONAL. If not implemented, it will be set to a fallback function that saves data to blist.xml like in previous libpurple versions.

Parameters

  node | The node which has been modified.

Since
  2.6.0.

Definition at line 246 of file blist.h.

## ◆ save_account

void(* _PurpleBlistUiOps::save_account) (PurpleAccount *account)

Called to save all the data for an account.

If the UI sets this, the callback must save the privacy and buddy list data for an account. If the account is NULL, save the data for all accounts.

Implementation of this UI op is OPTIONAL. If not implemented, it will be set to a fallback function that saves data to blist.xml like in previous libpurple versions.

Parameters

  account | The account whose data to save. If NULL, save all data for all accounts.

Since
  2.6.0.

Definition at line 261 of file blist.h.

## ◆ save_node

void(* _PurpleBlistUiOps::save_node) (PurpleBlistNode *node)

This is called when a node has been modified and should be saved.

Implementation of this UI op is OPTIONAL. If not implemented, it will be set to a fallback function that saves data to blist.xml like in previous libpurple versions.

Parameters

  node | The node which has been modified.

Since
  2.6.0.

Definition at line 232 of file blist.h.

## ◆ update

void(* _PurpleBlistUiOps::update) (PurpleBuddyList *list, PurpleBlistNode *node)

This will update a node in the buddy list.

Definition at line 208 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h